# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# For every curse ward 1...
# - if on fire, increment @s death_curse_time_alive, otherwise @s death_curse_time_alive = 0
# - if death_curse_time_alive is 2+, set @s death_curse_result1 = number of nearby death_curse_time_alive=2+ curse ward 1s, otherwise @s death_curse_result1 = 0
# - also set never despawn

# set never despawn
data modify entity @s Age set value -32768s

# store on fire to global death_curse_temp1
execute store result score global death_curse_temp1 run data get entity @s Fire

# increment time alive if on fire
execute if score global death_curse_temp1 matches 1.. run scoreboard players add @s death_curse_time_alive 1
# reset time alive if not on fire
execute if score global death_curse_temp1 matches ..0 run scoreboard players set @s death_curse_time_alive 0

# 10s till ready particle effect
execute as @s[scores={death_curse_time_alive=1}] run function death_curse:timer/10s/all_items/curse_ward1/soon_particle

# if time alive is cooked enough, count close and cooked enough curse ward 1s into global death_curse_result1
scoreboard players set global death_curse_result1 0
execute if score @s death_curse_time_alive matches 2.. at @s as @e[type=item,scores={death_curse_time_alive=2..},nbt={Item:{id:"minecraft:enchanted_book",tag:{CustomModelData:379300}}},distance=..1] run scoreboard players add global death_curse_result1 1

# save count to @s death_curse_result1
scoreboard players operation @s death_curse_result1 = global death_curse_result1
